petsc-3.4.2 2013-07-02

# PCASMDestroySubdomains

Destroys the index sets created with PCASMCreateSubdomains(). Should be called after setting subdomains with PCASMSetLocalSubdomains().

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCASMDestroySubdomains(PetscInt n, IS is[], IS is_local[])

Collective

### Input Parameters

| n | - the number of index sets
| is | - the array of index sets
| is_local | - the array of local index sets, can be NULL

### Keywords

PC, ASM, additive Schwarz, create, subdomains, unstructured grid

### See Also

PCASMCreateSubdomains(), PCASMSetLocalSubdomains()

Level:advanced
Location:src/ksp/pc/impls/asm/asm.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages